Bug 972352 - Review Request: jsendnsca - Java API for sending passive checks to the Nagios NSCA add-on
Review Request: jsendnsca - Java API for sending passive checks to the Nagios...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-08 15:28 EDT by gil cattaneo
Modified: 2016-08-27 06:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-08 15:28:34 EDT
Spec URL: http://gil.fedorapeople.org/jsendnsca.spec
SRPM URL: http://gil.fedorapeople.org/jsendnsca-2.0.1-1.fc18.src.rpm
Description:
JSend NSCA is Java API for sending passive checks to the
Nagios NSCA add-on.

By using JSend NSCA, you can easily integrate your
Java applications into a Nagios monitored environment
thereby notifying Nagios/Icinga/Opsview of problems and
issues during the running of your application.

Apache Camel Build/Requires

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5484093
Comment 2 gil cattaneo 2015-04-04 15:42:19 EDT
NOTE: https://github.com/jsendnsca/jsendnsca is a placeholder for porting the existing Google Code project
Comment 3 Upstream Release Monitoring 2015-09-27 07:40:38 EDT
gil's scratch build of jsendnsca-2.0.1-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11241911
Comment 6 Upstream Release Monitoring 2015-11-06 09:24:18 EST
gil's scratch build of jsendnsca-2.0.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11727013
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-08-21 19:05:56 EDT
BuildRequires: hostname,
then you can remove the "-Dmaven.test.failure.ignore=true". It builds fine.

%description should be wrapped to 80 columns.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
ASL 2.0.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 5 files
     have unknown license. Detailed output of licensecheck in
     /var/tmp/972352-jsendnsca/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
(see note at the top)

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     jsendnsca-javadoc
Not necessary.

[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
Patches have been merged upstream, but not released yet.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jsendnsca-2.1.1-1.fc26.noarch.rpm
          jsendnsca-javadoc-2.1.1-1.fc26.noarch.rpm
          jsendnsca-2.1.1-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
jsendnsca-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

jsendnsca (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(commons-lang:commons-lang)
    mvn(org.bouncycastle:bcprov-jdk15on)

Provides
--------
jsendnsca-javadoc:
    jsendnsca-javadoc

jsendnsca:
    jsendnsca
    mvn(com.github.jsendnsca:jsendnsca)
    mvn(com.github.jsendnsca:jsendnsca::tests:)
    mvn(com.github.jsendnsca:jsendnsca:pom:)
    mvn(com.googlecode:jsendnsca-core)
    mvn(com.googlecode:jsendnsca-core::tests:)
    mvn(com.googlecode:jsendnsca-core:pom:)
    mvn(com.googlecode:jsendnsca::tests:)
    osgi(com.github.jsendnsca)


Looks all good, except for the two small issues noted at the top. Package is APPROVED.
Comment 9 gil cattaneo 2016-08-21 19:57:46 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> BuildRequires: hostname,
> then you can remove the "-Dmaven.test.failure.ignore=true". It builds fine.

 Done

> Looks all good, except for the two small issues noted at the top. Package is
> APPROVED.

Spec URL: http://gil.fedorapeople.org/jsendnsca.spec
SRPM URL: http://gil.fedorapeople.org/jsendnsca-2.1.1-1.fc24.src.rpm

Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/7349
https://admin.fedoraproject.org/pkgdb/package/requests/7350
Comment 10 Gwyn Ciesla 2016-08-22 10:40:20 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/jsendnsca
Comment 11 Fedora Update System 2016-08-22 18:52:39 EDT
jsendnsca-2.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-67770cccb0
Comment 12 Fedora Update System 2016-08-23 05:23:57 EDT
jsendnsca-2.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-67770cccb0
Comment 13 Fedora Update System 2016-08-27 06:15:48 EDT
jsendnsca-2.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.